
library IEEE;
use IEEE.std_logic_1164.all;

library IEEE_EXTD;
use IEEE_EXTD.stdl1164_vector_arithmetic.all;

architecture behaviour of add_4_adder is

signal input_value : dlx_word;
signal output_value : dlx_word;

begin

 lat : process (in_value)
 begin
    input_value <= To_UX01(in_value) after tpd_latch;
 end process lat;

 add_4 : process (input_value)

 variable result : dlx_word;
 variable overflow : std_logic;
 
 begin

   sv_add( input_value, "00000000000000000000000000000100",
           result, overflow);
   output_value <= result after tpd_add;

 end process add_4;

 output : process (output_value)
 begin
   out_value <= output_value after tpd_latch;
 end process output;

end behaviour;

