-- Fetch stage of the pipeline

library IEEE;
use IEEE.std_logic_1164.all;

use WORK.dlx_types.all;
use WORK.control_types_2.all;

entity fetch is
  port(phi1, phi2	  : in std_logic;
       reset              : in std_logic;
       stall_fetch        : in std_logic;

       ready              : in std_logic;
       memory_not_ready   : out std_logic;
       fetch_mem_ctrl     : out std_logic;
       ir_latch_en        : out std_logic;
       pc_latch           : out std_logic);
       
end fetch;

     